import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:gust") {
        world.getAllPlayers().forEach(player => {
            let mana = getScore('mana', player)
            if (mana >= 3) {
                world.getAllPlayers().forEach(player => {
                    let ticks = getScore('bscd', player)
                    if (ticks >= 40) {
                        player.runCommand("function gust")
                    }
                    else if (ticks < 40) {
                        player.runCommand("function aircdntfr")
                    }
                })
            }
            else if (mana < 3) {
                player.runCommand("function nmana")
            }
        })
    }
})