import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:vampiricthirst") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('socd', player);

        if (mana >= 12) {
            if (ticks >=200) {
                player.runCommand("function vmt");
            } else {
                player.runCommand("function bloodcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})