import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:vampiricthirstact") {
        const player = event.source;
        let cd = getScore('fskcd', player);

        if (cd >= 60) {
            player.runCommand("function vmtactive")
        }
        else if (cd < 60) {
            player.runCommand("function bloodcdntfr")
        }
    }
})