import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:naturemagict") {
        const player = event.source;
        let cd = getScore('fskcd', player);

        if (cd >= 8) {
            player.runCommand("function naturechoose")
        }
        else if (cd < 8) {
            player.runCommand("function naturecdntfr")
        }
    }
})


