import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:georise") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('bscd', player);

        if (mana >= 4) { 
            if (ticks >= 60) {
                player.runCommand("function georisee");
            } else {
                player.runCommand("function earthcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})