import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:fireball") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('bscd', player);

        if (mana >= 2) { 
            if (ticks >= 30) {
                player.runCommand("function fireball");
            } else {
                player.runCommand("function firecdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})