import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:cleanse") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('socd', player);

        if (mana >= 7) { 
            if (ticks >= 100) {
                player.runCommand("function cleansee");
            } else {
                player.runCommand("function lightcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})