import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:lightprism") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('stwcd', player);

        if (mana >= 13) { 
            if (ticks >= 300) {
                player.runCommand("function lightprism");
            } else {
                player.runCommand("function lightcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})