import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:voltstrikerise") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('stcd', player);

        if (mana >= 24) { 
            if (ticks >= 460) {
                player.runCommand("function voltrise");
            } else {
                player.runCommand("function lightningcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})