import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:moonsgrace") {
        const player = event.source;
        let mana = getScore('mana', player);
        let ticks = getScore('stcd', player); 

        if (mana >= 21) {
            if (ticks >= 340) {
                player.runCommand("function moonsgrace");
            } else {
                player.runCommand("function mooncdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})