import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:quadruplemoonbladeslash") {
        const player = event.source;
        let mana = getScore('mana', player);
        let ticks = getScore('stwcd', player); 

        if (mana >= 12) {
            if (ticks >= 260) {
                player.runCommand("function qmbslash");
            } else {
                player.runCommand("function mooncdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})