import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:shadowbombt") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('stwcd', player);

        if (mana >= 15) { 
            if (ticks >= 260) {
                player.runCommand("function shadowbomb");
            } else {
                player.runCommand("function shadowcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})