import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
  return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
  if (event.itemStack.typeId == "zk:soulwarden") { 
    const player = event.source;
    let mana = getScore('mana', player); 
    let ticks = getScore('utcd', player);

    if (mana >= 40) { 
        if (ticks >= 1200) {
            player.runCommand("function soulwardenr");
        } else {
            player.runCommand("function soulcdntfr");
        }
    } else {
        player.runCommand("function nmana");
    } 
  }
})

