import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:soulswitcht") { 
        const player = event.source;
        let mana = getScore('mana', player); 
        let ticks = getScore('socd', player);
    
        if (mana >= 8) { 
            if (ticks >= 160) {
                player.runCommand("function sswitch");
            } else {
                player.runCommand("function soulcdntfr");
            }
        } else {
            player.runCommand("function nmana");
        } 
    }
})