import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:artificialraini") {
        const player = event.source;
        let mana = getScore('mana', player);
        let ticks = getScore('stcd', player);

        if (mana >= 35) {
            if (ticks >= 600) {
                player.runCommand("function artifirain");
            } else {
                player.runCommand("function watercdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})