import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:oceanguardiani") {
        const player = event.source;
        let mana = getScore('mana', player);
        let ticks = getScore('utcd', player);

        if (mana >= 50) {
            if (ticks >= 1000) {
                player.runCommand("function oceanguardian");
            } else {
                player.runCommand("function watercdntfr");
            }
        } else {
            player.runCommand("function nmana");
        }
    }
})