import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:warlockstaff") {
        const player = event.source;
        let cd = getScore('warlock', player);

        if (cd >= 200) {
            player.runCommand("function warlock/warlock")
        }
        else if (cd < 200) {
            player.runCommand("function soulcdntfr")
        }
    }
})