import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
  return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
  if (event.itemStack.typeId == "zk:soulswitchtm") { 
    const player = event.source;
    let mana = getScore('mana', player); 
    let ticks = getScore('socdx', player);

    if (mana >= 15) { 
        if (ticks >= 280) {
            player.runCommand("function xtramag/soulswitchh");
        } else {
            player.runCommand("function soulcdntfr");
        }
    } else {
        player.runCommand("function nmana");
    } 
  }
})